gvfs (1.57.2-2ubuntu5) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:45:21 +0000

gvfs (1.57.2-2ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:58 +0200

gvfs (1.57.2-2ubuntu3) questing; urgency=medium

  * Revert disabling Google Drive integration which was
    accidentally included in the previous upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 08:33:50 -0400

gvfs (1.57.2-2ubuntu2) questing; urgency=medium

  * Revert no-longer-needed Ubuntu changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:49:42 -0400

gvfs (1.57.2-2ubuntu1) plucky; urgency=medium

  * Adjust d/p/fuse-use-fuse_-un-set_feature_flag-instead-of-setting-man.patch
    for dual fuse3 support (build tested against 3.14.0-10 and 3.17.1~rc1-3);
    the new functions leveraged do not exist in fuse3 3.14.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 23:36:16 -0500

gvfs (1.57.2-2) unstable; urgency=medium

  * Team upload
  * d/p/fuse-use-fuse_-un-set_feature_flag-instead-of-setting-man.patch:
    Add proposed patch for interoperability with FUSE 3.17.
    Direct access to `fuse_conn_info.want` is deprecated, and currently
    doesn't work (although that might be a libfuse bug). Use the
    non-deprecated accessors instead. (Closes: #1100847, #1101025)
  * d/p/Remove-version-from-polkit-gobject-dependency.patch:
    Drop patch, no longer necessary.
    Debian and Ubuntu are both tracking recent upstream versions of
    polkit again, so having a stricter dependency is not a concern.
  * d/patches: Improve patch metadata
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Mar 2025 13:42:23 +0000

gvfs (1.57.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum gnome-online-accounts

  [ Simon Quigley ]
  * Add kwalletmanager as an alternative Recommends to gnome-keyring on
    gvfs-backends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 08:43:33 -0500

gvfs (1.57.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib and msgraph

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:07:34 -0500

gvfs (1.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Oct 2024 08:42:03 -0400

gvfs (1.56.0-2) unstable; urgency=medium

  * Add back dependency on wsdd, both on Debian and Ubuntu (LP: #2081735)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 23 Sep 2024 10:04:03 -0400

gvfs (1.56.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches and remove patch included upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Sep 2024 15:45:11 +0200

gvfs (1.55.90-2) unstable; urgency=medium

  * Backport patch to fix a Gio.Volume API breakage

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Sep 2024 06:55:31 -0400

gvfs (1.55.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:36:46 -0400

gvfs (1.54.2-2) unstable; urgency=medium

  * Stop building the afc backend on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:24:14 -0400

gvfs (1.54.2-1) unstable; urgency=medium

  * New upstream release
  * Explicitly disable deprecated APIs (this happens by default with gvfs 1.55)
  * gvfs-daemons.install: burn backend is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 09:53:55 -0400

gvfs (1.54.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:11:38 -0400

gvfs (1.54.0-4) unstable; urgency=medium

  * Don't require libgdata-dev on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 May 2024 09:21:59 +0200

gvfs (1.54.0-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable the new OneDrive backend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 16:34:54 +0200

gvfs (1.54.0-2) unstable; urgency=medium

  * Team upload
  * Build-depend on systemd-dev instead of systemd (Closes: #1060552)

 -- Michael Biebl <biebl@debian.org>  Tue, 14 May 2024 14:13:34 +0200

gvfs (1.54.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 07:42:29 -0400

gvfs (1.53.90-4) unstable; urgency=medium

  * Stop enabling GNOME Online Accounts on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 11:50:29 -0500

gvfs (1.53.90-3) unstable; urgency=medium

  * Drop patch reverting switch to gcr4
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 22:11:38 -0500

gvfs (1.53.90-2) unstable; urgency=medium

  * Demote wsdd to Suggests (Closes: #1064208)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 16:36:33 -0500

gvfs (1.53.90-1) unstable; urgency=medium

  * New upstream release
  * Add patch to revert switch to gcr4
  * Disable new onedrive feature since msgraph is not in Debian yet
  * gvfs-backends.install: Install new wsdd support for
    discovery of newer Windows network shares
  * Suggest wsdd on Ubuntu; recommend it everywhere else

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Feb 2024 17:50:46 -0500

gvfs (1.52.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:00:18 -0500

gvfs (1.52.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 24 Oct 2023 11:12:08 +0200

gvfs (1.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:16:17 -0400

gvfs (1.51.91-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:45:02 -0400

gvfs (1.51.90-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libmtp to 1.1.21

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 15:41:37 -0400

gvfs (1.50.6-2) unstable; urgency=high

  * Restore 1.50.4-3 changes accidentally left out of 1.50.6-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 06:49:13 -0400

gvfs (1.50.6-1) unstable; urgency=high

  * New upstream release
  * Drop 5 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 06:38:41 -0400

gvfs (1.50.4-3) unstable; urgency=medium

  * Team upload
  * d/p/gvfs-test-Kill-home-test_polkitd.py-correctly.patch:
    Add patch to fix the autopkgtest when run in autopkgtest-virt-qemu.
    The home/test_polkitd.py script wasn't terminated correctly, causing
    the testbed to wait indefinitely for it to exit.
    - d/tests/control: Depend on procps, for pkill(1)
  * d/tests: Make use of the needs-sudo restriction.
    This was added to autopkgtest in Debian 12 (specifically version
    5.26, see #906424) and makes the use of sudo in gvfs' integration
    test script something that can be supported by any sufficiently
    capable backend.  In the case of gvfs, autopkgtest-virt-lxc as used
    on ci.debian.net is not sufficient, but maintainers can now run the
    test in autopkgtest-virt-qemu.
  * Add more details of the changes in the previous two changelog entries
  * Remove some Lintian overrides that are no longer needed.
    Lintian no longer considers symlinks between /usr/lib and /usr/libexec
    to be a problem.

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jun 2023 11:37:11 +0100

gvfs (1.50.4-2) unstable; urgency=medium

  * Cherry-pick 3 patches from gnome-42 branch
    - d/p/mtp-Emit-delete-event-on-device-when-disconnected.patch:
      Emit delete event on mtp devices when disconnected, so that clients
      such as Nautilus can respond to the device's disappearance
      (related to nautilus#371 upstream)
    - d/p/smb-Allow-renaming-a-file-to-the-same-name-with-a-differe.patch:
      Allow renaming a file on SMB/CIFS to the same name with a
      different case (gvfs#672 upstream)
    - d/p/trash-Sync-trash-dir-items-when-files-change.patch:
      Sync trash directory items when files change, so that the number of
      files reported is always consistent with the list of files
  * d/p/tests-new-polkitd.patch:
    Add proposed patch to fix testsuite with recent policykit-1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 16:17:19 -0400

gvfs (1.50.4-1) experimental; urgency=medium

  * New upstream release
    - http: Report uncompressed sizes in GFileInfo, in particular avoiding
      strange progress reporting caused by counting uncompressed bytes for
      current status but compressed bytes for total/expected size
      (gvfs#195 upstream)
    - dav: Fix a critical warning (unref of NULL object pointer) when
      attempting to push a nonexistent source file
    - Fix errors copying/moving files when running inside a Flatpak app
    - Make string comparisons more correct, avoiding possible incorrect
      behaviour with future GLib versions (no practical effect right now)
    - Remove a code path that is never reached
    - Translation updates: be, tr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:49:19 -0400

gvfs (1.50.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Drop transition for old debug package migration
  * Fix some minor Lintian warnings
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 12:10:14 -0500

gvfs (1.50.2-2) unstable; urgency=medium

  * Team upload
  * d/control.in: gvfs-backends Suggests pkexec, for the admin:// backend
  * d/control.in: Build-depend on polkitd instead of transitional
    policykit-1. This package doesn't appear to require pkexec at
    build-time.
  * d/tests/control: Depend on polkitd instead of transitional policykit-1.
    The admin backend uses pkexec, but the tests don't exercise it.
  * d/tests/control: Require libglib2.0-bin, for gio(1)
  * d/tests/integration: Skip the test if we cannot run sudo
    noninteractively.
    Having this fully working on Debian depends on an autopkgtest feature
    request (see #906424) or on working around the missing feature.

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Sep 2022 11:03:42 +0100

gvfs (1.50.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Jun 2022 16:01:46 -0400

gvfs (1.50.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Work around "Invalid argument" with misconfigured kerberos/ccache
      if using smbclient 4.16.0

 -- Simon McVittie <smcv@debian.org>  Wed, 04 May 2022 12:20:51 +0100

gvfs (1.50.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 2 admin patches & the meson patch: applied in new release
  * debian/control.in: Bump minimum glib and meson
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:52:28 -0400

gvfs (1.48.1-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove deprecated gvfs-bin package.
    Upstream removed the gvfs-foo(1) tools in 2018, before Debian 10.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 15:43:16 -0500

gvfs (1.48.1-3) unstable; urgency=medium

  * Cherry-pick commit to fix build with latest meson

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 14:59:27 -0500

gvfs (1.48.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2021 13:53:46 +0100

gvfs (1.48.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Prevent socket leaks if socket dir is inaccessible from client
    - admin: Fix regressions caused by port to named sockets
    - udisks2: Report unmount progress after showing blocking processes
    - Translation updates
  * d/p/admin-Make-the-privileged-group-configurable.patch:
    Add patch from upstream to make the privileged group
    build-time-configurable
  * d/rules: Configure 'sudo' to be the privileged group
  * d/p/02_polkit_sudo_group.patch:
    Remove patch previously used to replace hard-coded 'wheel' group with
    'sudo', no longer needed
  * d/p/admin-Fix-mount-operation-hang-caused-by-pkexec-failure.patch:
    Fix a hang if the authentication prompt for pkexec is cancelled while
    trying to mount the admin:// backend
  * d/extra: Fix "whatis" entry for generated man pages
  * Override Lintian breakout-link false positives.
    We still need these symlinks for now (at least gvfsd-archive, because
    nemo hard-codes it), and Lintian is being over-zealous to diagnose a
    symlink from /usr/lib into /usr/libexec as an error.

  [ Laurent Bigonville ]
  * Do not BD on polkit on non-linux architectures, admin backend is disabled
  * debian/gvfs-common.install: tmpfiles.d file is only installed on linux
    archs
  * debian/control.in: Mark libgphoto2-dev, libcdio-paranoia-dev and
    libmtp-dev BD as linux-any
  * Disable USB support on kfreebsd as well as it requires a newer libusb

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Aug 2021 10:58:38 +0100

gvfs (1.47.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 10:51:42 +0100

gvfs (1.47.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson and libgdata requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 16:23:19 +0100

gvfs (1.46.2-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches added in previous upload, they are in this new release
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 16 Jan 2021 09:50:03 +0100

gvfs (1.46.1-2) unstable; urgency=medium

  * Team upload
  * Re-export patch series with gbp pq
  * Update to upstream commit 1.46.1-6-gddd89654 from gnome-3-38 branch
    - Report content type more reliably on SMB
    - Report 100% progress after moving a file on SMB
    - Ensure a display name is set for Google Drive root directory, fixing
      file-chooser crashes
    - Translation updates
  * Add patch from upstream to fix intermittent deadlock

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Dec 2020 17:47:21 +0000

gvfs (1.46.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 17:05:11 +0200

gvfs (1.46.0-2) unstable; urgency=medium

  * Team upload
  * Revert removal of deprecated gvfs-bin package.
    There is still one package in unstable that depends on it, and
    getting GNOME 3.38 into testing is more important right now than
    removing deprecated wrapper scripts.
  * d/control.in: Remove lockstep dependency by gvfs-bin on gvfs-common.
    It's generally better for transitional packages to have loose
    dependencies, so that they can stay installed on users' systems even
    after they have been removed from Debian if necessary.
  * Revert "d/watch: Watch for development versions"
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 17:00:48 +0100

gvfs (1.46.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Sep 2020 15:27:20 +0200

gvfs (1.45.92-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * Update GLib dependency
  * Remove deprecated gvfs-bin package.
    Upstream removed the gvfs-foo(1) tools in 2018, before Debian 10.
    It's about time we follow their example.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 17:58:20 +0100

gvfs (1.44.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 00:09:58 -0400

gvfs (1.44.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Depend on lsof on linux only, the package is not
    available on non-linux arch and only needed by the UDisks2VolumeMonitor
    plugin not built outside if linux, thanks Svante Signell (Closes: #951516)
  * debian/control.in: Make gvfs-libs depend against gsettings-desktop-schemas
    the "org.gnome.desktop.lockdown" is needed at several places

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 18:19:22 +0100

gvfs (1.43.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 18:01:10 +0100

gvfs (1.43.90-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12
  * Move all the daemons to /usr/libexec now that the policy allows it, add
    compatibility symlinks in case something is referencing the old location
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

  [ Sebastien Bacher ]
  * New upstream release
  * debian/control.in:
    - updated libgdata requirement
  * debian/patches/test-Port-to-python-twisted.patch
    - removed, the change is included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 17:37:28 +0100

gvfs (1.42.2-1) unstable; urgency=medium

  [ Sjoerd Simons ]
  * Drop gvfs-daemons' dependency on x11-utils.
    Back in 2009 Josselin added a direct dependency on x11-utils from
    gvfs-daemons for xprop. These days gvfs-daemons really shouldn't need
    xprop any more (definitely nothing in the source refers to it), so
    drop it.

  [ Paul Sonnenschein ]
    Change build configuration for !linux-any to fix build errors on
    hurd-i386. The changes disable some dependencies which are not
    available on hurd-i386. (Closes: #946017)

  [ Simon McVittie ]
  * d/gbp.conf: Use upstream/1.42.x branch
  * d/watch: Only look for stable branches
  * New upstream stable release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2020 18:19:31 +0200

gvfs (1.42.1-3) unstable; urgency=high

  * Cherry-pick !69 porting tests to python3-twisted
  * Switch test-dep to python3 version of twisted (Closes: #943053)
  * Use high urgency as we want fix in previous upload in testing ASAP.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Oct 2019 12:58:01 +0100

gvfs (1.42.1-2) unstable; urgency=medium

  * Team upload.
  * Switch gvfs-fuse dependency from fuse to fuse3 (Closes: #942126)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Oct 2019 16:58:57 +0100

gvfs (1.42.1-1) unstable; urgency=medium

  * Team upload
  * Merge changelog entries from unstable
  * New upstream release
    - dav: Fix mounting when 403 is returned for the parent folder
    - Revert "sftp: Always use port 22 if not specified"
      to fix use of a configured port number in ~/.ssh/config
    - Translation updates: da, de, nl
  * Upload to unstable, now that the required gsettings-desktop-schemas
    is available in testing

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 15:40:15 +0100

gvfs (1.42.0+really1.38.1-1) unstable; urgency=medium

  * Team upload
  * Re-release 1.38.1-5 to unstable to overwrite premature upload of
    1.42.x. Versions 1.42.x depend on a gsettings-desktop-schemas version
    from experimental that cannot go to unstable until the mutter and
    evolution-data-server transitions for GNOME 3.34 are ready.
    (Closes: #940026)
    - d/gbp.conf: Set packaging branch to debian/unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 11:56:17 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gvfs-libs`.
